Subject: RE: Case sensitive names and authoring

From: Fisher Mark <[email-masked]>
Date: Fri, 10 Mar 2000 11:26:42 -0500

>Note that HTTP servers running on an MSFT platform typically treat URLs in
>a case-insensitive fashion (due to the filesystem being insensitive).

Just a refresher, here, folks.  The actual NTFS filesystem code on WinNT is
case-sensitive, but the Win32 subsystem that is normally used to access it
is case-preserving but case-insensitive.  That is, if you have a file named
"Makefile", you can use any of "makefile", "Makefile", "makeFile",
"MakeFile", etc. to access that file with the Win32 subsystem.  I think that
the NT POSIX subsystem is case-sensitive, but I don't know of any webservers
that run under the NT POSIX subsystem.  As far as I know, Windows2000
preserves these semantics.

The upshot being that Apache on NT, as it runs under the Win32 subsystem,
will case-fold on a PUT -- it can't help itself.
==========================================================
Mark Leighton Fisher          Thomson Consumer Electronics
[email-masked]               Indianapolis, IN
"Display some adaptability." -- Doug Shaftoe, _Cryptonomicon_